using System.Web.UI;
using System.Collections.Generic;

namespace Controls
{
    public class SimpleBehavior : ScriptControl
    {
        protected override IEnumerable<ScriptDescriptor> GetScriptDescriptors()
        {
            yield return new ScriptBehaviorDescriptor("SimpleBehavior", this.ClientID);
        }

        protected override IEnumerable<ScriptReference> GetScriptReferences()
        {
            ScriptReference sr = new ScriptReference("Common.js", "Controls");
            sr.NotifyScriptLoaded = false;
            yield return sr;
        }
    }
}
